summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2016-04-18 11:11:22 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2016-04-18 11:11:22 +0800
commitf2264d38458772d4d305aec4d91ea282e626934c (patch)
treea405ee672ce4aa4d671500bfa90455afbd55b00c
parent31a5fc611149e6ce7218f3c9e17a276aeb398a26 (diff)
some fix for n-preview
Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rw-r--r--liuyq-patches/liuyq.xml2
-rwxr-xr-xscripts-common/sync-common.sh5
-rwxr-xr-xsync-local.sh7
3 files changed, 10 insertions, 4 deletions
diff --git a/liuyq-patches/liuyq.xml b/liuyq-patches/liuyq.xml
index e23ce3e..d972cbf 100644
--- a/liuyq-patches/liuyq.xml
+++ b/liuyq-patches/liuyq.xml
@@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<manifest>
- <remote name="linaro-android" fetch="git://android-git.linaro.org/" review="android-review.linaro.org" />
<remote name="github4liuyq" fetch="https://github.com/" />
<remote name="local" fetch="file:////SATA3/aosp-mirror/hikey/" />
<!--
+ <remote name="linaro-android" fetch="git://android-git.linaro.org/" review="android-review.linaro.org" />
<project path="packages/apps/AndroidTerm" name="platform/external/AndroidTerm" revision="linaro-master" remote="linaro-android"/>
<project path="packages/inputmethods/hackerskeyboard" name="liuyq/hackerskeyboard" revision="master" remote="github4liuyq"/>
diff --git a/scripts-common/sync-common.sh b/scripts-common/sync-common.sh
index cfbc0ab..d24c10f 100755
--- a/scripts-common/sync-common.sh
+++ b/scripts-common/sync-common.sh
@@ -69,6 +69,7 @@ sync(){
}
sync_linaro(){
+ mkdir -p .repo
cd .repo
if [ -d ./local_manifests ]; then
cd ./local_manifests;
@@ -84,8 +85,8 @@ sync_linaro(){
mkdir -p android-patchsets
fi
cp -uvf liuyq-patches/LIUYQ-PATCHSET android-patchsets
- juno_mali_binary
- hikey_mali_binary
+ #juno_mali_binary
+ #hikey_mali_binary
}
juno_mali_binary(){
diff --git a/sync-local.sh b/sync-local.sh
index f9bf7b8..5dd3dbf 100755
--- a/sync-local.sh
+++ b/sync-local.sh
@@ -4,7 +4,6 @@ export BASE=$(cd $(dirname $0);pwd)
source ${BASE}/scripts-common/sync-common.sh
export MIRROR="/SATA3/aosp-mirror/platform/manifest.git"
-#branch="android-6.0.0_r26"
branch="android-n-preview-2"
LOCAL_MANIFEST="ssh://git@dev-private-git.linaro.org/linaro-art/platform/manifest.git"
@@ -18,6 +17,7 @@ ${BASE}/sync-projects.sh build \
device/linaro/hikey \
kernel/linaro/hisilicon/ \
art \
+ frameworks/base
# external/opencv-upstream \
#export http_proxy=192.168.0.102:37586
@@ -33,6 +33,11 @@ if [ $? -ne 0 ]; then
exit 1
fi
+./android-patchsets/get-hikey-blobs
+if [ $? -ne 0 ]; then
+ echo "Failed to run get-hikey-blobs"
+ exit 1
+fi
#./android-patchsets/nexus9-workarounds
[ -f ./android-patchsets/LIUYQ-PATCHSET ] && ./android-patchsets/LIUYQ-PATCHSET
if [ $? -ne 0 ]; then